# $Revision: 1.8 $, $Date: 2011/12/20 19:36:07 $
%define 	module	kaa-imlib2

Summary:	Imlib2 wrapper for python
Summary(pl.UTF-8):	Wrapper imlib2 dla Pythona
Name:		python-%{module}
Version:	0.2.1
Release:	5
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/freevo/%{module}-%{version}.tar.gz
# Source0-md5:	f4d3019b7471a7da541e13de91ec2875
URL:		http://www.freevo.org/kaa/
BuildRequires:	imlib2-devel >= 1.2.1
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-kaa-base
BuildRequires:	rpm-pythonprov
BuildRequires:	libpng-devel
%pyrequires_eq	python-modules
Requires:	python-kaa-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imlib2 wrapper for python.

%description -l pl.UTF-8
Wrapper imlib2 dla Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/kaa/imlib2
%{py_sitedir}/kaa/imlib2/*.py[co]
%attr(755,root,root) %{py_sitedir}/kaa/imlib2/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-kaa-imlib2.spec,v $
Revision 1.8  2011/12/20 19:36:07  arekm
- release 5

Revision 1.7  2010/07/08 08:17:45  arekm
- release 4

Revision 1.6  2010/02/06 21:01:55  arekm
- release 3

Revision 1.5  2009/07/26 21:51:22  baseciq
- added missing br: libpng-devel

Revision 1.4  2008/10/03 17:52:27  arekm
- release 2

Revision 1.3  2007-05-07 17:18:35  qboosh
- sorted BRs, formatting

Revision 1.2  2007/05/07 00:22:19  wolvverine
-add BR

Revision 1.1  2007/05/01 10:21:11  blekot
- init
